API - Commercial
Validating Suframa Registration
How to validate a Suframa registration by CNPJ in the CNPJ.ws Commercial API using the POST method.
In the Commercial API, it is possible to query a Suframa registration using the POST method.
Remember to send the CNPJ without special characters.
Method: POST
Endpoint: https://comercial.cnpj.ws/suframa
Request Examples
AuthorizationBearer <token>
Token de API (Bearer). Ex.: Authorization: Bearer <seu_token>
In: header
Query Parameters
token?string
Header Parameters
x_api_token?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/suframa" \ -H "Content-Type: application/json" \ -d '{ "cnpj": "string", "inscricao": "string" }'{ "cnpj_raiz": "string", "cnpj": "string", "inscricao_suframa": "string", "ativo": true, "atualizado_em": "2019-08-24T14:15:22Z"}{ "status": 0, "titulo": "string", "detalhes": "string", "validacao": [ "string" ], "statusCode": 0, "message": "string", "error": "string"}{ "status": 0, "titulo": "string", "detalhes": "string", "validacao": [ "string" ], "statusCode": 0, "message": "string", "error": "string"}We have a package that can help you integrate with JavaScript:
yarn add consultar-cnpjconst consultarCNPJ = require("consultar-cnpj");
async function getCNPJ() {
const token = "INFORME O SEU TOKEN DE ACESSO";
const cnpj = "61940292006682";
const incricao = "210140267";
const empresa = await consultarCNPJ.suframa(cnpj, incricao, token);
console.log(empresa);
}More information about the package
Return Example
Below is an example of the JSON returned when searching for the CNPJ 61940292006682 and registration 210140267:
{
"cnpj_raiz": "61940292",
"cnpj": "61940292006682",
"inscricao_suframa": "210140267",
"ativo": true,
"atualizado_em": "2022-01-16T12:28:32.384Z"
}